identity-svc

Device authorization grant: sondeo del dispositivo (RFC 8628 §3.4)

Sondea con el device_code. authorization_pending / slow_down / access_denied / expired_token como errores OAuth (400). Aprobado: access JWT (cred=device) + refresh opaco de dec-0113, una sola vez.

POST
/auth/device/token

Sondea con el device_code. authorization_pending / slow_down / access_denied / expired_token como errores OAuth (400). Aprobado: access JWT (cred=device) + refresh opaco de dec-0113, una sola vez.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

client_id*string
Length1 <= length <= 64
device_code*string
Length1 <= length <= 128
grant_type*string

Response Body

application/json

application/json

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/device/token" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "device_code": "string",    "grant_type": "urn:ietf:params:oauth:grant-type:device_code"  }'
{  "access_token": "string",  "expires_in": 1,  "refresh_token": "string",  "scope": "string",  "token_type": "Bearer"}